Bug 174834 - x11/deforaos-panel upgrade to 0.2.17
Summary: x11/deforaos-panel upgrade to 0.2.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 15:10 UTC by olivier
Modified: 2013-01-03 15:50 UTC (History)
0 users

See Also:


Attachments
deforaos-panel.0.2.17.diff (2.19 KB, patch)
2012-12-30 15:10 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2012-12-30 15:10:00 UTC
	Upgrade x11/deforaos-panel to 0.2.17.
	This upgrade need the PR ports/174830 and PR ports/174832 be accepted first
Comment 1 olivier 2012-12-30 15:16:51 UTC
Can you replace my MAKE_ARGS+= line with this new one:

MAKE_ARGS+=    PREFIX=${PREFIX} CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

This will permit to support CFLAGS and LDFLAGS.

Thanks,

On Sun, Dec 30, 2012 at 4:10 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/174834'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174834
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       x11/deforaos-panel upgrade to 0.2.17
>>Arrival-Date:   Sun Dec 30 15:10:00 UTC 2012
Comment 2 olivier 2012-12-31 09:00:17 UTC
On Sun, Dec 30, 2012 at 4:16 PM, Olivier Cochard-Labb=E9
<olivier@cochard.me> wrote:
> Can you replace my MAKE_ARGS+=3D line with this new one:
>
> MAKE_ARGS+=3D    PREFIX=3D${PREFIX} CFLAGS=3D"${CFLAGS}" LDFLAGS=3D"${LDF=
LAGS}"
>
> This will permit to support CFLAGS and LDFLAGS.
>


Oops, forgot my last mail: Kept my original patch without adding
CFLAGS and LDFLAGS to MAKE_ARGS, it seems I meet some problem if I add
CFLAGS and LDFLAGS.

sorry for the noise.

Olivier
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 14:52:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2013-01-03 15:49:43 UTC
Author: rm
Date: Thu Jan  3 15:49:29 2013
New Revision: 309894
URL: http://svnweb.freebsd.org/changeset/ports/309894

Log:
  - update to 0.2.17
  - make it PREFIX-safe
  
  PR:		174834
  Submitted by:	olivier@cochard.me (maintainer)

Deleted:
  head/x11/deforaos-panel/files/patch-panel_desktop_exec.diff
Modified:
  head/x11/deforaos-panel/Makefile
  head/x11/deforaos-panel/distinfo

Modified: head/x11/deforaos-panel/Makefile
==============================================================================
--- head/x11/deforaos-panel/Makefile	Thu Jan  3 15:47:41 2013	(r309893)
+++ head/x11/deforaos-panel/Makefile	Thu Jan  3 15:49:29 2013	(r309894)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	deforaos-panel
-PORTVERSION=	0.2.15
+PORTVERSION=	0.2.17
 CATEGORIES=	x11
-MASTER_SITES=	http://www.defora.org/os/download/download/3706/
+MASTER_SITES=	http://www.defora.org/os/download/download/4009/
 DISTNAME=	Panel-${PORTVERSION}
 
 MAINTAINER=	olivier@cochard.me
@@ -26,6 +26,7 @@ USE_GNOME=	gtk20 desktopfileutils
 USE_PKGCONFIG=	build
 USE_GETTEXT=	yes
 INSTALLS_ICONS=	yes
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 MAKE_ENV+=	MANDIR=${MANPREFIX}/man
 

Modified: head/x11/deforaos-panel/distinfo
==============================================================================
--- head/x11/deforaos-panel/distinfo	Thu Jan  3 15:47:41 2013	(r309893)
+++ head/x11/deforaos-panel/distinfo	Thu Jan  3 15:49:29 2013	(r309894)
@@ -1,2 +1,2 @@
-SHA256 (Panel-0.2.15.tar.gz) = 6830d3fb74b9a3ebbecf0e96e64bda5c87a1ad24c6c7d24d1b92751dd558c37c
-SIZE (Panel-0.2.15.tar.gz) = 109232
+SHA256 (Panel-0.2.17.tar.gz) = ca0f081e0082459b42477baa066aa036c6770d11d4b865963437c6ef985d20ef
+SIZE (Panel-0.2.17.tar.gz) = 109904
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 15:49:56 UTC
State Changed
From-To: open->closed

Committed, thank you!